<?php

###################################################################
### by samdre, 2018												###
### Ich bitte um eine kleine Spende an meine Gemeinde. Danke!	###
###################################################################

# Was macht diese Skript?
# Es verbindet sich zur ChurchTools-API (GET)
# Es bergibt die per $_GET erhaltenen CalIDs an die API
# Es empfngt die Termine und liest Sie in Array ein
# Anschlieend wird die Liste nach Datem sortiert
# und dann ausgegeben

# Datei bitte mit hochladen
include "httpRequest.php"; 

# Vorbereitungen
$cal_ids=$_GET["cal_ids"];
$cal_arr=explode("|",$cal_ids);


# URL: hier bitte das "xxxxxxx" durch die Subdomain Deiner Gemeinde ersetzen<br />
$url = "https://xxxxxxx.church.tools/index.php?q=churchcal/ajax&func=getCalendarEvents&";

if(count($cal_arr) > 0){
	foreach ($cal_arr as $key => $value) {
		$url .= "category_ids[]=".$value."&";
	}
}
else{
	# Falls kein Delimiter vorhanden ist
	$url .= "category_ids[]=".$cal_ids."&";
}

$url .= "from=0&to=40";

# Instanz erzeugen und URL bergeben
$r = new HTTPRequest($url);
$data=$r->DownloadToString(); 
$result=json_decode($data);


# Wochentage
$tage = array("Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag");

# Counter frs Schreiben in das mehrdim. Array
$count_event=0;

# Schreiben in mehrdim. Array
foreach($result->data as $key => $value){
	$datum_org = $result->data[$key]->startdate;
	$bezeichnung_org = $result->data[$key]->bezeichnung;
	$catname_org = $result->data[$key]->category_name;

	if(property_exists($result->data[$key], "ort")){
		$info_org = $result->data[$key]->ort;
	}
	else{
		$info_org = "";
	}
		
	$events[$count_event]["datum"]=$datum_org;
	$events[$count_event]["bezeichnung"]=$bezeichnung_org;
	$events[$count_event]["catname"]=$catname_org;
	$events[$count_event]["info"]=$info_org;

	$count_event++;
}


# Sortierarray schreiben (Spalte "datum")
foreach ($events as $nr => $inhalt){
    $datum[$nr] = $inhalt['datum'];
}

# Array sortieren (datum aufsteigend)
array_multisort($datum, SORT_ASC, $events);


# max. X Events anzeigen
$max_events=9; # Achtung: ggf. den Parameter "to" erweitern (akuell 40 Tage in die Zukunft)

# Counter frs foreach
$count_event=0;

# Eventliste anzeigen
foreach ($events as $k1 => $v1) {
	
	if($count_event < $max_events){
		
		echo "<div style=\"width:300px; height:100px; padding:10px; background-color:#eeeeee; float:left; margin:0 10px 10px 0; text-align:center;\">";

		$datum=substr($events[$k1]["datum"],0,10);
		$datum_de=date("d.m.Y ", strToTime($datum));
		$zeit=substr($events[$k1]["datum"],11,5);
		$wtag=date("w", strToTime($datum));
	
		echo "".$tage[$wtag].", ".$datum_de." um ".$zeit." Uhr<br>";
		echo "<h4>".$events[$k1]["bezeichnung"]."</h4>";
		
		if(trim($events[$k1]["info"]) != ""){
			echo "".$events[$k1]["info"];
		}
		echo "</div>";

	}
	$count_event++;
	 
}

?>